Compiz Fusion, pour toutes et tous

26 juin 2007

Compiz Fusion est le fruit de la réunification des projets Compiz et Beryl. Il n’est pour l’instant pas disponible dans les dépôts officiels d’Ubuntu 7.04. Nous allons donc utiliser les dépôts qu’un développeur d’Ubuntu, Amaranth, met à notre disposition et pour lequel il backport les paquets de la prochaine version d’Ubuntu. Ces paquets sont donc très fiables : ils contiennent tous les plugins des branches « plugin-main » et « plugin-extra ». Ils sont disponibles pour les version 32 & 64 bits d’Ubuntu et pour Gnome & KDE (même si l’intégration à KDE est toujours en deçà de celle de Gnome).

Ce guide n’est valable que pour Ubuntu 7.04 Feisty Fawn.
Si vous utilisez Ubuntu 7.10, cette manipulation ne vous concerne pas: Compiz Fusion est installé et activé par défaut à l’installation.

1. Configuration

Pour une carte graphique nVidia:
Assurez-vous d’avoir les drivers nVidia installés, depuis Synaptic. Il peut s’agir des paquets nvidia-glx-legacy, nvidia-glx, nvidia-glx-new, en fonction de l’âge de votre carte graphique. S’ils ne sont pas installés, utilisez le Gestionnaire de Pilotes Propriétaires pour les installer, ou rendez-vous sur cette page pour déterminer que driver correspond à votre carte graphique et l’installer manuellement via Synaptic.
Enfin configurez votre carte en activant ces fonctions:
$ sudo nvidia-xconfig --add-argb-glx-visuals -d 24

Après tout changement, déconnectez vous et redémarrez le serveur vidéo avec Ctrl+Alt+Retour en arrière.

Pour une carte graphique ATI:
Assurez-vous d’utiliser le driver libre radeon. Ouvrez donc votre fichier xorg.conf:
$ gksudo gedit /etc/X11/xorg.conf

Ou pour KDE:
$ kdesu kate /etc/X11/xorg.conf

Trouvez cette section:

Section « Device »
Identifier « ATI Technologies, X1400 »
Driver « ati »
BusID « PCI:5:0:0 »
EndSection

Si besoin est, remplacez « ati » par « radeon ». Déconnectez vous et redémarrez le serveur vidéo avec Ctrl+Alt+Retour en arrière, et voilà.
Si vous utilisez, pour une raison ou une autre, le driver « fglrx », il vous faudra utiliser XGL. Rendez vous sur les pages de la documentation d’Ubuntu-fr pour savoir comment installer tout ça.

Pour une carte graphique Intel:
Il n’y a normalement rien à faire pour vous, les pilotes libres pour les cartes Intel de moins de 2 ans vous permettent de faire fonctionner Compiz Fusion. Si votre carte est plus ancienne ou si vous n’arrivez pas à faire fonctionner tout ça, il vous faudra utiliser l’AIGLX. Encore une fois, lisez la documentation à ce sujet.

Pages: 1 2

15 Réponses to “Compiz Fusion, pour toutes et tous”

  1. Barista Says:

    Le script présenté ici installe Emerald et configure Compiz Fusion pour l’utiliser. On le retrouve une fois tout installé dans Système > Pref. > Gestionnaires de thèmes Emerald.

  2. fred Says:

    Apparemment oui, il est définitivement inclus dans Tribe 2 mais est il stable ? Et quels seront les pré-requis en termes de cartes graphiques ? Faudra t il bidouiller le xorg.conf etc etc ??
    🙂

  3. Barista Says:

    A priori X devrait détecter le type de carte graphique et déterminer si elle est capable de supporter Compiz (GLX pour nVidia, etc.). Si la carte le peut alors Compiz sera installé et activé par défaut, avec un xorg.conf configuré comme il faut.
    Pour l’instant c’est ainsi, mais ce sera peut-être tout autrement à l’heure de la sortie finale en octobre…
    Pour ce qui est de la stabilité des paquets Compiz dans Gutsy je n’ai pas testé pour le moment.

  4. fred Says:

    Ah. Merci de l’info.
    Ben me reste plus qu’à -vraiment- changer de pc si je veux en profiter alors. Mais j’en connais une qui risque de pas trop vouloir.🙂

  5. Barista Says:

    Héhé m’en parle pas : mon ordinateur portable vient de partir au SAV HP, carte wifi défectueuse donc mais aussi, bonne surprise, une carte graphique grillée. Je précise que Compiz (ou autre composite manager) n’a rien à voir là-dedans, il s’agit véritablement d’un composant défectueux.
    Donc si tu as un nouvel ordinateur à acheter, comme un bon Ubunteros que je suis, je te conseillerai Dell. Mon prochain en sera un en tout cas…

  6. fred Says:

    Dell ?
    Dans mon entourage, j’ai beaucoup beaucoup entendu parler de Toshiba.

    Quel modèle Dell par exemple ?

  7. Barista Says:

    Aucun modèle en particulier, mais les quelques personnes que je connais qui bossent dans l’informatique (dont un ou deux Gourous Debian) sont des abonnés à Dell. J’aurais dû les écouter en fait…
    J’ai pas vraiment eu de retours sur Toshiba en revanche. Mais là j’utilise un Toshiba Satellite 1700-200, je m’éclate…

  8. fred Says:

    Ok. Nous, on a signé pour la maison hier, donc… Puis on a testé la piscine :-d …
    Je t’en reparlerais…
    Dernière info : j’ai pas mis Beryl mais Compiz, avec le manager Compiz.. Tu conseilles quel Dock parmi tous ceux que tu décris dans ta cafèt ?

    ^^

  9. Tiennou Says:

    Eh … J’avais posé une ptite question il y a qques jours. Je la repose n’ayant pas eu de réponse. Mais, peut-être, sait-on jamais, est-elle stupide …
    Donc : Quelqu’un a-t-il testé l’install de Compiz-Fusion sous Dapper (6.06 pour ceux qui auraient oublié) ?

  10. Zenigata Says:

    Il y a des paquets pour Feisty sur les dépôts Trevino, mais uniquement 32 bits.

    Pour gutsy, chez moi les versions instables d’Ubuntu sont toujours plus stables que les autres (toujours juste avant la sortie stable, ou à la première mise à jour après ça m’introduit un gros bug du style freeze aléatoire incompréhensible).

    Pour ce qui est de Compiz-Fusion sous Gutsy aujourd’hui, ça marche bien, même avec un ati x200m qui oblige à prendre XGL. Par contre on n’a pas beaucoup de plugins sympa (c’est pas drôle quand on voit la vidéo qui fait baver et qu’on se retrouve principalement avec le cube les fenêtres molles et le truc qui affiche les fenêtres en plus petit pour s’y retrouver quand on est bordélique) , mais c’est hyper simple, maintenant même avec XGL on n’a plus besoin de faire des trucs zarbs pour lancer une session XGL, il se lance tout seul s’il y arrive sur une session normale.

    Par contre plus moyen de compiler à partir des versions GIT car elles demande un X11 avec xcb activé, ce qui n’existe pas dans les dépôts ubuntu et implique donc une recompilation de libx11composite et, parait-il, l’option xcb peut faire foirer des trucs comme flash.

    Voila

  11. Barista Says:

    Je conseille aussi aux utilisateurs de Gutsy d’utiliser la version présente dans les dépôts, elle est plus stable et parfaitement bien intégrée. Il ne reste plus que ce maudit bug de metacity qui plante 1 fois sur 2 en mode maximisé.

    A part ça, le post va être mis à jour (si possible ce soir) car la méthode d’installation a bien changée.

  12. GGS Says:

    bonjours a tous
    merci pour ce tuto
    mais j’ai ubuntu 7.10 et j’ai du installer les driver proprietaire de ma carte nvidia ( 8600M GS )
    Or dans apparence j’ai belle et bien le mode normal d’activer ( ou le mode au dessus aussi )

    quels sont les manipulation a effectuer pour ensuite pouvoir  » jouer  » avec compiz car a par l’effet lors de la manipulation de la fenetre ( maximiser / minimiser et deplacement ) je ne trouve pas de cube 3D ou autre …

    Pourtant dans synaptic j’ai bien tout le bazarre de compiz d’installer😦

    Merci de bien vouloir m’eclairer ( tout nouveau nouveau dans nux :s )

  13. Barista Says:

    Bonjour GGS,

    Pour activer/désactiver, régler les effets de Compiz il faut se rendre dans Système > Préférences > CompizConfig Settings Manager.
    L’effet ‘Cube’ n’est par exemple pas activé par défaut dans Ubuntu.

    Bienvenue chez Ubuntu🙂

  14. koala Says:

    bonjour Barista
    Après avoir suivi le tuto tout fonctionne, Merci, je n’ai pas réussi à installé la version 7.10 donc 7.04 oblige les effets fonctionne bien🙂

    J’ai une notification de mise à jour, j’ai beau l’installé mais elle est toujours présentes, pourquoi,,Comment faire ??

    c’est ceci : « COMPIZ CORE »

    faut-il activer qque chose de particulier

    D’avance merci pour ton attention j’éspère à bientôt🙂

  15. Barista Says:

    Je ne vois qu’une seule chose, tu dois avoir un paquet résiduel dans Synaptic. Essayes d’y regarder de plus prêt et de faire le ménage…


Laisser un commentaire

Entrez vos coordonnées ci-dessous ou cliquez sur une icône pour vous connecter:

Logo WordPress.com

Vous commentez à l'aide de votre compte WordPress.com. Déconnexion / Changer )

Image Twitter

Vous commentez à l'aide de votre compte Twitter. Déconnexion / Changer )

Photo Facebook

Vous commentez à l'aide de votre compte Facebook. Déconnexion / Changer )

Photo Google+

Vous commentez à l'aide de votre compte Google+. Déconnexion / Changer )

Connexion à %s

%d blogueurs aiment cette page :